# ESP32-C6

Template firmware for both, low-performance and high performance core of the
esp32-c6 riscv processor.

## hp-core

Firmware for the high performance core.

### Build

```shell
cargo build --package hp-core --release
```

## lp-core

Firmware for the low performance core.

### Build

```shell
cargo build --package lp-core --release
```

## Execution

```shell
cargo run --package hp-core --release
```

### Preconditions

In order to execute/flash the project some conditions must be fulfilled:

* hardware target is connected with USB before the devcontainer is launched
* the belonging tty device is named `ttyACM0` (otherwise rename it in 
  `.devcontainer/devcontainer.json`)
* the belonging tty device (`ttyACM0`) is member of the `root` group because
  the devcontainer user (`esp`) is in this group too. If this changes it must
  be adoptet in `.devcontainer/Dockerfile`
